Data Fields

# RoadVehicleInfo Struct Reference

Information about a road vehicle. More...

`#include <engine_type.h>`

## Data Fields
byte | image_index
byte | cost_factor
byte | running_cost
Price | running_cost_class
SoundID | sfx
uint16 | max_speed
| Maximum speed (1 unit = 1/3.2 mph = 0.5 km-ish/h).
byte | capacity
uint8 | weight
| Weight in 1/4t units.
uint8 | power
| Power in 10hp units.
uint8 | tractive_effort
| Coefficient of tractive effort.
uint8 | air_drag
| Coefficient of air drag.
byte | visual_effect
| Bitstuffed NewGRF visual effect data.
byte | shorten_factor
| length on main map for this type is 8 - shorten_factor

## Detailed Description

Information about a road vehicle.

Definition at line 112 of file engine_type.h.

The documentation for this struct was generated from the following file:

- src/engine_type.h